PaDeviceInfo Struct Reference

`#include <portaudio.h>`

## Public Attributes

int | structVersion
const char * | name
PaHostApiIndex | hostApi
int | maxInputChannels
int | maxOutputChannels
PaTime | defaultLowInputLatency
PaTime | defaultLowOutputLatency
PaTime | defaultHighInputLatency
PaTime | defaultHighOutputLatency
double | defaultSampleRate

## Detailed Description

A structure providing information and capabilities of PortAudio devices. Devices may support input, output or both input and output.

Definition at line 437 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h